--- old/usr/src/man/Makefile.man	Thu Jul 17 00:50:38 2014
+++ new/usr/src/man/Makefile.man	Thu Jul 17 00:50:38 2014
@@ -14,9 +14,9 @@
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
 #
 
+MANDOC=		$(ROOT)/usr/bin/mandoc
 ROOTMAN=	$(ROOT)/usr/share/man
 ROOTHASMAN=	$(ROOT)/usr/has/man
-
 FILEMODE=	0444
 
 # The manual section being built, client Makefiles must set this to, for e.g.
@@ -24,6 +24,7 @@
 #
 # MANSECT=
 
+MANCHECKS=	$(MANFILES:%=%.check)
 ROOTMANFILES= 	$(MANFILES:%=$(ROOTMAN)/man$(MANSECT)/%)
 ROOTMANLINKS=	$(MANLINKS:%=$(ROOTMAN)/man$(MANSECT)/%)
 
@@ -30,6 +31,9 @@
 $(ROOTMAN)/man$(MANSECT)/% $(ROOTHASMAN)/man$(MANSECT)/%: %
 		$(INS.file)
 
+$(MANCHECKS):
+		$(MANDOC) -Tlint $(@:%.check=%)
+
 $(MANLINKS):
 		$(RM) $@; $(SYMLINK) $(LINKSRC) $@
 
@@ -38,6 +42,8 @@
 
 all:
 
+check:		$(MANCHECKS)
+
 clean:
 
 clobber:
